Skip to main content
`Ctrl`+`K`

# MatGetRowSum

Gets the sum of each row of the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetRowSum(Mat mat, Vec v)

Logically or Neighborhood Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- v - the vector for storing the sum of rows

## Note

This code is slow since it is not currently specialized for different formats

## See Also

Matrices, `Mat`, `MatGetDiagonal()`, `MatCreateSubMatrices()`, `MatCreateSubMatrix()`, `MatGetRowMax()`, `MatGetRowMin()`, `MatGetRowMaxAbs()`, `MatGetRowMinAbs()`, `MatGetRowSumAbs()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages